import axiosInstance from './axiosInstance';

export interface ApiResult<T> {
 code: number;
 message: string;
 data: T;
}

export async function get<T>(url: string, params?: any): Promise<ApiResult<T>> {
 const response = await axiosInstance.get<ApiResult<T>>(url, { params });
 return response.data;
}

export async function post<T>(url: string, data?: any): Promise<ApiResult<T>> {
 let _data = {
  key : 'pPya2UfVOXJm',
  timestamp:Date.parse(new Date()).toString().substr(0,10),
  sign:'OsP0QNq63fgCmVEvt5CceeBEuPtXf2bn',
  ...data
 }

 const response = await axiosInstance.post<ApiResult<T>>(url, _data);
 return response.data;
}

export async function put<T>(url: string, data?: any): Promise<ApiResult<T>> {
 const response = await axiosInstance.put<ApiResult<T>>(url, data);
 return response.data;
}

export async function del<T>(url: string, params?: any): Promise<ApiResult<T>> {
const response = await axiosInstance.delete<ApiResult<T>>(url, { params });
 return response.data;
}
