import wx from 'weixin-js-sdk'
import {post} from '../api/index'

class wxJssdk{
 // 当前是否是微信环境
 isWeixin() {
  return navigator.userAgent.toLowerCase().indexOf("micromessenger") !== -1;
  }
  // 初始化配置
 async wxConfig(){
    let url:string = window.location.href.split("#")[0];
    let res:any = await post('Information/getTicket',{url})
    if (res.code == 0) {
      wx.config({
        debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
        appId: res.data.appid, // 必填，公众号的唯一标识
        timestamp: res.data.timestamp, // 必填，生成签名的时间戳
        nonceStr: res.data.noncestr, // 必填，生成签名的随机串
        signature: res.data.signature, // 必填，签名
        jsApiList: [
          'updateAppMessageShareData',
          'updateTimelineShareData',
        ],
        openTagList: ["wx-open-launch-weapp"],
      });
    }
  }
  
  
  // 微信分享
  wxShare(shareObj:any) {
    this.wxConfig();
    console.log('shareObj',shareObj);
    wx.ready(() => {
      wx.updateAppMessageShareData({
        title: shareObj.title, // 分享标题
        link: shareObj.link, // 分享链接
        desc: shareObj.desc, // 分享描述
        imgUrl: shareObj.imgUrl,
        success: function (res:any) {
          console.log("wxShare", "setSuccess",res);
        },
        cancel: function (fail:any) {
          console.log("wx_fail", fail);
        },
      });
      wx.updateTimelineShareData({
        title: shareObj.title, // 分享标题
        link: shareObj.link, // 分享链接
        imgUrl: shareObj.imgUrl,
        success: function (res:any) {
          console.log("wxShare", "setSuccess",res);
        },
        cancel: function (fail:any) {
          console.log("wx_fail", fail);
        },
      });
    });
  }
}



export default new wxJssdk();